
Showroom Mobile Banking - Bug #15449

IB&MB - bill-payment - Convert to ngrx data

03 January 2023 02:43 PM - chok yee fan

Status: Closed Start date: 03 January 2023

Priority: Normal Due date:  

Assignee: Hoo Dextor % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Phase: R1 Branch Code: showroom-proj-base-i5

Description

Issue

------

Currently not using ngrx data.

Expected

------

Use ngrx data.

History

#1 - 03 January 2023 02:44 PM - chok yee fan

recreate redmine cause accidently deleted redmine

Revision #220684 Committed by jemy 29/12/2022, 7:15 pm convert bill payment MB to ngrxdata

/Users/sladmin/Documents/showroom-nx-trunk-webstorm

apps/showroom-mb/src/app/bill-payment

bp-payee-ack.html

bp-payee-ack.ts

bp-payee-confirmation.html

bp-payee-confirmation.module.ts

bp-payee-confirmation.ts

bp-payee-details.html

bp-payee-details.module.ts

bp-payee-details.ts

bp-payee-selection.module.ts

bp-payee-selection.ts

libs/shared/bill-payment/data-access/src/lib

bp-payee-ack.service.ts

bp-payee-ack-entity-metadata.ts

bp-payee-confirmation.service.ts

bp-payee-confirmation-entity-metadata.ts

bp-payee-details.service.ts

bp-payee-details-entity-metadata.ts

bp-payee-selection.service.ts

bp-payee-selection-entity-metadata.ts

bp-payee-selection-paybill.service.ts

bp-payee-selection-paybill-entity-metadata.ts

shared-bill-payment-data-access.module.ts
#2 - 03 January 2023 02:45 PM - chok yee fan

- Status changed from New to Assigned

- Assignee changed from chok yee fan to Jemy Sarlury

IB not convert yet

#3 - 03 January 2023 02:47 PM - chok yee fan

original redmine is https://dev.silverlakemobility.com/redmine/issues/14897

#4 - 05 January 2023 12:19 PM - Wui Ling Chai

r220763 | wuilingchai | 2023-01-05 12:18:42 MYT

Changed paths:

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/bill-payment/bp-modal.html

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/bill-payment/bp-modal.ts

Wui Ling: Fixed the double selection radio button for saving account

----------------------------------------------------------------------------

#5 - 06 January 2023 05:56 PM - chok yee fan

Revision #220817 Committed by chokyf Moments ago chok: ngrx data bill payment for IB web 

https://dev.silverlakemobility.com/redmine/issues/15449

/Users/sladmin/Documents/showroom-nx-trunk-webstorm

apps/web-showroom/src/app/bill-payment

bp-payee-selection.html

bp-payee-selection.ts

libs/shared/bill-payment/data-access/src

lib

bp-payee-details.service.ts

index.ts

#6 - 07 January 2023 04:29 PM - chok yee fan

- Status changed from Assigned to Feedback

- Assignee changed from Jemy Sarlury to Pui Shan Lee

Revision #220825 Committed by chokyf 29 minutes ago chok: ngrx data bill payment for IB web part2 

https://dev.silverlakemobility.com/redmine/issues/15449

/Users/sladmin/Documents/showroom-nx-trunk-webstorm

apps/web-showroom/src/app/bill-payment

bp-payee-ack.html

bp-payee-ack.ts

bp-payee-confirmation.html

bp-payee-confirmation.ts

bp-payee-selection.ts

libs/shared/bill-payment/data-access/src

index.ts
#7 - 11 January 2023 01:43 PM - Pui Shan Lee

- Status changed from Feedback to Resolved

- Assignee changed from Pui Shan Lee to Hoo Dextor

Ngrx data in IB no issue found.

#8 - 11 September 2023 10:13 AM - Hoo Dextor

- Status changed from Resolved to Closed
